curl https://api.ordexs.com/v1/pixels/pix_4f1d2c3b5a6e47d8a9b0c1d2e3f4a5b6 \
-H "Authorization: Bearer $ORDEXS_API_KEY"
const res = await fetch('https://api.ordexs.com/v1/pixels/pix_4f1d2c3b5a6e47d8a9b0c1d2e3f4a5b6', {
headers: {
Authorization: `Bearer ${process.env.ORDEXS_API_KEY}`,
},
})
const data = await res.json()
if (!res.ok) throw new Error(`${data.error.code}: ${data.error.message}`)
<?php
$ch = curl_init('https://api.ordexs.com/v1/pixels/pix_4f1d2c3b5a6e47d8a9b0c1d2e3f4a5b6');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('ORDEXS_API_KEY'),
],
]);
$data = json_decode(curl_exec($ch), true);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
import os
import requests
res = requests.get(
"https://api.ordexs.com/v1/pixels/pix_4f1d2c3b5a6e47d8a9b0c1d2e3f4a5b6",
headers={"Authorization": f"Bearer {os.environ['ORDEXS_API_KEY']}"},
timeout=30,
)
data = res.json()
if not res.ok:
raise RuntimeError(f"{data['error']['code']}: {data['error']['message']}")
{
"id": "pix_6a7b8c9d0e1f42a3b4c5d6e7f8a9b0c1",
"object": "pixel",
"provider": "meta",
"name": "Meta pixel",
"pixel_id": "1234567890123456",
"enabled": true,
"default": true,
"test_event_code": null,
"config": {},
"has_server_token": false,
"last_event_at": null,
"last_error": null,
"created_at": "2026-10-13T09:00:00Z",
"updated_at": "2026-10-13T09:00:00Z"
}
{
"error": {
"code": "insufficient_scope",
"message": "This API key does not have the \"orders:write\" permission. Edit the key's permissions under Settings → Developers, or use a key that has it.",
"details": {
"required_scope": "orders:write"
},
"request_id": "req_7f3a9c2e41b84d0c9a1e5f6b"
}
}